package com.cf.imes.module.executor.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 订单导入状态枚举
 *
 * @author Gqr
 * @since 2025/1/8 16:20
 */
@Getter
@AllArgsConstructor
public enum OrderImportStatusEnum {
    /**
     * 未导入
     */
    IMPORT_NOT_YET(0),

    /**
     * 导入成功
     */
    IMPORT_SUCCESS(10),

    /**
     * 导入失败
     */
    IMPORT_FAIL(20);

    private int status;

    /**
     * 是否匹配
     *
     * @param status
     * @return
     */
    public static OrderImportStatusEnum match(int status) {
        for (OrderImportStatusEnum statusEnum : OrderImportStatusEnum.values()) {
            if (statusEnum.status == status) {
                return statusEnum;
            }
        }
        return null;
    }
}